| dfeccf Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeCcf_OverflowStatus Struct Reference
Overview

Channel Filter Status. More...

## Data Fields
u32 | OverflowBeforeGainReal
                         [0,1] Overflow or underflow occurred
in the FIR stage of the filter on the real channel More...
u32 | OverflowBeforeGainImag
                         [0,1] Overflow or underflow occurred
in the FIR stage of the filter on the imaginary channel More...
u32 | OverflowAfterGainReal
                        [0,1] Overflow or underflow occurred in
the GAIN stage of the filter on the real channel More...
u32 | OverflowAfterGainImag
                        [0,1] Overflow or underflow occurred in
the GAIN stage of the filter on the imaginary channel More...
u32 | OverflowAntenna
                  [0,15] Lowest number antenna on which first
overflow, or underflow, occurred More...
u32 | OverflowCCID
               [0,15] CCID on which first overflow, or
underflow, occurred More...
u32 | OverflowSwitch
                 In SWITCHABLE mode the channel in which
overflow first occurred. More...

## Detailed Description

Channel Filter Status.

## Field Documentation

u32 XDfeCcf_OverflowStatus::OverflowAfterGainImag

                        [0,1] Overflow or underflow occurred in

the GAIN stage of the filter on the imaginary channel

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowAfterGainReal

                        [0,1] Overflow or underflow occurred in

the GAIN stage of the filter on the real channel

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowAntenna

                  [0,15] Lowest number antenna on which first

overflow, or underflow, occurred

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowBeforeGainImag

                         [0,1] Overflow or underflow occurred

in the FIR stage of the filter on the imaginary channel

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowBeforeGainReal

                         [0,1] Overflow or underflow occurred

in the FIR stage of the filter on the real channel

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowCCID

               [0,15] CCID on which first overflow, or

underflow, occurred

Referenced by XDfeCcf_GetOverflowStatus().

u32 XDfeCcf_OverflowStatus::OverflowSwitch

                 In SWITCHABLE mode the channel in which

overflow first occurred.

This register is ignored in NON-SWITCHABLE mode.

- 0 = DOWNLINK: Overflow occurred in the downlink channel.
- 1 = UPLINK: Overflow occurred in the uplink channel.

Referenced by XDfeCcf_GetOverflowStatus().